Skip to main content
`Ctrl`+`K`

# HubbleParameter

class astropy.cosmology.traits.HubbleParameter

  Bases: `object`

  The object has attributes and methods for the Hubble parameter.

  Attributes Summary

  `h` | Dimensionless Hubble constant: h = H_0 / 100 [km/sec/Mpc].
  `hubble_distance` | Hubble distance.
  `hubble_time` | Hubble time.

  Methods Summary

  `H`(z, /) | Hubble parameter at redshift `z`.

  Attributes Documentation

  h

    Dimensionless Hubble constant: h = H_0 / 100 [km/sec/Mpc].

  hubble_distance

    Hubble distance.

  hubble_time

    Hubble time.

  Methods Documentation

  H(z, /)

    Hubble parameter at redshift `z`.

    Parameters:
      z Quantity-like [‘redshift’], numpy:array_like

        Input redshift.

    Returns:
      H `Quantity` [:ref: ‘frequency’]

        Hubble parameter at each input redshift.